rpms/dnsmasq/FC-4 dnsmasq-2.31-enable-dbus.patch, NONE, 1.1 dnsmasq-2.31-initscript.patch, NONE, 1.1 dnsmasq.spec, 1.3, 1.4 sources, 1.2, 1.3 dnsmasq-2.30-dbus-config.patch, 1.1, NONE dnsmasq-2.30-enable-dbus.patch, 1.1, NONE dnsmasq-2.30-initscript.patch, 1.2, NONE

Patrick Laughton (jima) fedora-extras-commits at redhat.com
Mon May 8 17:05:41 UTC 2006


Author: jima

Update of /cvs/extras/rpms/dnsmasq/FC-4
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv4920/FC-4

Modified Files:
	dnsmasq.spec sources 
Added Files:
	dnsmasq-2.31-enable-dbus.patch dnsmasq-2.31-initscript.patch 
Removed Files:
	dnsmasq-2.30-dbus-config.patch dnsmasq-2.30-enable-dbus.patch 
	dnsmasq-2.30-initscript.patch 
Log Message:

Upgrade to 2.31


dnsmasq-2.31-enable-dbus.patch:

--- NEW FILE dnsmasq-2.31-enable-dbus.patch ---
diff -urN dnsmasq-2.31/src/config.h dnsmasq-2.31-patched/src/config.h
--- dnsmasq-2.31/src/config.h	2006-05-06 06:18:25.000000000 -0500
+++ dnsmasq-2.31-patched/src/config.h	2006-05-08 07:26:04.000000000 -0500
@@ -169,7 +169,7 @@
 /* platform independent options- uncomment to enable */
 /* #define HAVE_BROKEN_RTC */
 /* #define HAVE_ISC_READER */
-/* #define HAVE_DBUS */
+#define HAVE_DBUS
 
 #if defined(HAVE_BROKEN_RTC) && defined(HAVE_ISC_READER)
 #  error HAVE_ISC_READER is not compatible with HAVE_BROKEN_RTC

dnsmasq-2.31-initscript.patch:

--- NEW FILE dnsmasq-2.31-initscript.patch ---
diff -urN dnsmasq-2.31/rpm/dnsmasq.init dnsmasq-2.31-patched/rpm/dnsmasq.init
--- dnsmasq-2.31/rpm/dnsmasq.init	1969-12-31 18:00:00.000000000 -0600
+++ dnsmasq-2.31-patched/rpm/dnsmasq.init	2006-05-08 07:30:11.000000000 -0500
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Startup script for the DNS caching server
+#
+# chkconfig: - 99 01
+# description: This script starts your DNS caching server
+# processname: dnsmasq
+# pidfile: /var/run/dnsmasq.pid
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source networking configuration.
+. /etc/sysconfig/network
+
+# Check that networking is up.
+[ ${NETWORKING} = "no" ] && exit 0
+
+dnsmasq=/usr/sbin/dnsmasq
+[ -f $dnsmasq ] || exit 0
+
+DOMAIN_SUFFIX=`dnsdomainname`
+if [ ! -z "${DOMAIN_SUFFIX}" ]; then
+  OPTIONS="-s $DOMAIN_SUFFIX"
+fi
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+  start)
+        echo -n "Starting dnsmasq: "
+        daemon $dnsmasq $OPTIONS
+	RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && touch /var/lock/subsys/dnsmasq
+        ;;
+  stop)
+        if test "x`pidof dnsmasq`" != x; then
+            echo -n "Shutting down dnsmasq: "
+            killproc dnsmasq
+        fi
+	RETVAL=$?
+        echo
+        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/dnsmasq /var/run/dnsmasq.pid
+        ;;
+  status)
+	status dnsmasq
+	RETVAL=$?
+	;;
+  reload)
+	echo -n "Reloading dnsmasq: "
+	killproc dnsmasq -HUP
+	RETVAL=$?
+	echo
+	;;
+  restart)
+	$0 stop
+	$0 start
+	RETVAL=$?
+	;;
+  condrestart)
+	    if test "x`/sbin/pidof dnsmasq`" != x; then
+		$0 stop
+		$0 start
+		RETVAL=$?
+	    fi
+	    ;;
+  *)
+        echo "Usage: $0 {start|stop|restart|reload|condrestart|status}"
+        exit 1
+esac
+
+exit $RETVAL
+


Index: dnsmasq.spec
===================================================================
RCS file: /cvs/extras/rpms/dnsmasq/FC-4/dnsmasq.spec,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- dnsmasq.spec	2 May 2006 16:37:49 -0000	1.3
+++ dnsmasq.spec	8 May 2006 17:05:40 -0000	1.4
@@ -1,6 +1,6 @@
 Name:           dnsmasq
-Version:        2.30
-Release:        4.2%{?dist}
+Version:        2.31
+Release:        1%{?dist}
 Summary:        A lightweight DHCP/caching DNS server
 
 Group:          System Environment/Daemons
@@ -9,7 +9,6 @@
 Source0:        http://www.thekelleys.org.uk/dnsmasq/%{name}-%{version}.tar.gz
 Patch0:         http://beer.tclug.org/fedora-extras/dnsmasq/%{name}-%{version}-initscript.patch
 Patch1:         http://beer.tclug.org/fedora-extras/dnsmasq/%{name}-%{version}-enable-dbus.patch
-Patch2:         http://beer.tclug.org/fedora-extras/dnsmasq/%{name}-%{version}-dbus-config.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 %if "%{dist}" != ".fc3"
@@ -37,7 +36,6 @@
 %patch0 -p1
 %if "%{dist}" != ".fc3"
 %patch1 -p1
-%patch2 -p1
 %endif
 
 %build
@@ -53,8 +51,10 @@
 	$RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d
 install src/dnsmasq $RPM_BUILD_ROOT%{_sbindir}/dnsmasq
 install dnsmasq.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/dnsmasq.conf
+%if "%{dist}" != ".fc3"
 install dbus/dnsmasq.conf $RPM_BUILD_ROOT%{_sysconfdir}/dbus-1/system.d/
-install rpm/dnsmasq.rh $RPM_BUILD_ROOT%{_initrddir}/dnsmasq
+%endif
+install rpm/dnsmasq.init $RPM_BUILD_ROOT%{_initrddir}/dnsmasq
 install man/dnsmasq.8 $RPM_BUILD_ROOT%{_mandir}/man8/
 
 %clean
@@ -77,15 +77,22 @@
 
 %files
 %defattr(-,root,root,-)
-%doc CHANGELOG COPYING FAQ doc.html setup.html UPGRADING_to_2.0
+%doc CHANGELOG COPYING FAQ doc.html setup.html UPGRADING_to_2.0 dbus/DBus-interface
 %config(noreplace) %attr(644,root,root) %{_sysconfdir}/dnsmasq.conf
+%if "%{dist}" != ".fc3"
 %config(noreplace) %attr(644,root,root) %{_sysconfdir}/dbus-1/system.d/dnsmasq.conf
+%endif
 %{_initrddir}/dnsmasq
 %{_sbindir}/dnsmasq
 %{_mandir}/man8/dnsmasq*
 
 
 %changelog
+* Mon May  8 2006 Patrick "Jima" Laughton <jima at auroralinux.org> 2.31-1
+- Removed dbus config patch (now provided upstream)
+- Patched in init script (no longer provided upstream)
+- Added DBus-interface to docs
+
 * Tue May  2 2006 Patrick "Jima" Laughton <jima at auroralinux.org> 2.30-4.2
 - More upstream-recommended cleanups :)
 - Killed sysconfig file (provides unneeded functionality)


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/dnsmasq/FC-4/sources,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- sources	25 Apr 2006 16:51:25 -0000	1.2
+++ sources	8 May 2006 17:05:40 -0000	1.3
@@ -1 +1 @@
-91db9ef2c63269debf7794783074b751  dnsmasq-2.30.tar.gz
+26932aec55865b5b4ffe53e7abcf9396  dnsmasq-2.31.tar.gz


--- dnsmasq-2.30-dbus-config.patch DELETED ---


--- dnsmasq-2.30-enable-dbus.patch DELETED ---


--- dnsmasq-2.30-initscript.patch DELETED ---




More information about the fedora-extras-commits mailing list